alt.javax.mail

## Interface Service

- All Known Subinterfaces:
    Transport
  All Known Implementing Classes:
    MockService, MockTransport, ServiceImpl, TransportImpl

      public interface Service

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionListener(ConnectionListener connectionListener)`
    `void` | `close()`
    `void` | `connect()`
    `void` | `connect(java.lang.String host, int port, java.lang.String user, java.lang.String password)`
    `void` | `connect(java.lang.String host, java.lang.String user, java.lang.String password)`
    `URLName` | `getURLName()`
    `boolean` | `isConnected()`
    `void` | `removeConnectionListener(ConnectionListener connectionListener)`
    `java.lang.String` | `toString()`

- - ### Method Detail

    - #### connect

          void connect()
                throws MessagingException

      Throws:
        `MessagingException`

    - #### connect

          void connect(java.lang.String host,
                       java.lang.String user,
                       java.lang.String password)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### connect

          void connect(java.lang.String host,
                       int port,
                       java.lang.String user,
                       java.lang.String password)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### isConnected

          boolean isConnected()

    - #### close

          void close()
              throws MessagingException

      Throws:
        `MessagingException`

    - #### getURLName

          URLName getURLName()

    - #### addConnectionListener

          void addConnectionListener(ConnectionListener connectionListener)

    - #### removeConnectionListener

          void removeConnectionListener(ConnectionListener connectionListener)

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2002 Mock Objects. All Rights Reserved.